Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I'm using Eclipse, and I installed the emonic plugin for C# and the .net. When it autobuilds a project I get this error:

BUILD FAILED

Mono 3.5 Profile (mono-3.5) is not installed, or not correctly configured.

Framework directory '/usr/lib64/pkgconfig/../../lib/mono/3.5' does not exist.

Also the "build all" and "build project" buttons a greyed out.

mono --version

output:

Mono JIT compiler version 2.10.8 (tarball Tue Mar 18 23:26:30 GMT 2014)
Copyright (C) 2002-2011 Novell, Inc, Xamarin, Inc and Contributors. www.mono-project.com
TLS:           __thread
SIGSEGV:       altstack
Notifications: epoll
Architecture:  amd64
Disabled:      none
Misc:          softdebug 
LLVM:          supported, not enabled.
GC:            Included Boehm (with typed GC and Parallel Mark)

ls /usr/lib/mono

output:

gac                      gtk-sharp-2.0             rsvg2-sharp-2.0
gnomedesktop-sharp-2.20  gtksourceview2-sharp-2.0  vte-sharp-0.16
gnome-print-sharp-2.18   mono-addins 



ls /usr/local/lib/mono
2.0  4.0         gac                        monodoc  xbuild-frameworks
3.5  compat-2.0  mono-configuration-crypto  xbuild
share|improve this question
    
have you looked in /usr/lib/mono/3.5 Seems like it's there eclipse is looking. –  Kotte Mar 20 at 15:36

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.